DM_PROTO_OUTPUT_FUNC(3)

PROTO_FUNC
dm_PROTO_output_func - Output event callback.

SYNOPSIS
#include <karma_dm.h>

flag dm_PROTO_output_func

(int fd, void **info)

DESCRIPTION
This routine is called when a descriptor becomes ready for writing.

fd  The file descriptor.

info
    A pointer to the arbitrary information pointer. The pointer written here will persist until the descriptor is unmanaged (or a subsequent callback routine changes it).

RETURN VALUE
TRUE if the descriptor is to remain managed and open, else it returns FALSE (indicating that the descriptor is to be unmanaged and closed). This routine MUST NOT unmanage or close the descriptor.

Multi-threading Level
Unsafe.

NOTE
The <<close_func>> will be called if this routine returns FALSE.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/